#ifndef __RUAB_CONFIG_H__
#define __RUAB_CONFIG_H__


#include "internals.h"


/* Motor config constants */
enum motorParams {
	MOTOR_QUEUE_LENGTH = 4,
	MOTOR_QUEUE_ITEM_SIZE = sizeof(recvPkg_t),
	MOTOR_QUEUE_WAIT = portMAX_DELAY,

	MOTOR_PWM_PERIOD = 20000,
	MOTOR_PN = 1500,
	MOTOR_MAX_OFFSET = 1250,
	MOTOR_MIN_OFFSET = -MOTOR_MAX_OFFSET,

	MOTOR_TASK_PRIORITY = tskIDLE_PRIORITY + 1,
};


/* Serial communication datatypes and config constants */
enum serialParams {
	SERIAL_BAUDRATE = 38400,
	SERIAL_RS232_QUEUE_SIZE = 16,
	SERIAL_QUEUE_WAIT = portMAX_DELAY,
	SERIAL_SEND_WAIT = (1000 / portTICK_RATE_MS),

	SERIAL_TASK_PRIORITY = tskIDLE_PRIORITY + 2,
};


enum sensorParams {
	SENSOR_QUEUE_LENGTH = 4,
	SENSOR_QUEUE_ITEM_SIZE = sizeof(unsigned char),
	SENSOR_QUEUE_WAIT = portMAX_DELAY,	

	SENSOR_TASK_PRIORITY = tskIDLE_PRIORITY + 1,	
};


enum irFrontParams {
	NPULSES = 20,
	DELAY = 850,

	IRF_MAX_WAIT_TIME = (8 / portTICK_RATE_MS),

	ACTTIME = 0xFF,
};


#endif
