#ifndef __OPCODES_H__
#define __OPCODES_H__


enum opcodes {
	RST_OP = 	0x0,				// Reset command

	/* Complex Operation */
	TSTM_OP = 	0x1,				// Ping to Complex Task (Motor Task)
	MOT_OP = 	0x2,				// Motor command
	LED_OP = 	0x3,				// Set & Clear leds command
	OSC_OP = 	0x4,				// Osc leds command 
	SPK_OP = 	0x5,				// Speaker command
	
	/* Sensor Operations */
	TSTS_OP,						// Ping to Sensor Task
	WCM_OP,							// Write Config. Motor command
	IRL_OP,							// Lateral IR command
	IRF_OP,							// Central IR command
	LDR_OP,							// LDR command
	LFW_OP,							// Line Follower command
	MIC_OP,							// Micro command
	ALL_OP,							// All sensor command
	
	NOP,

	LAST_CMPL_OP = SPK_OP,			// Change when add new complex operation opcode. Put here the las one!
	// ...
};

enum opcodesParams {
	CMPL_OP_THRESHOLD = LAST_CMPL_OP,
	OP_THRESHOLD = NOP,

	CMPL_OPCODE_OFFSET = RST_OP + 1,
	SENSOR_OPCODE_OFFSET = LAST_CMPL_OP + 1,
};


enum lenDataOperation {
	MOT_LEN_DATA = 0x0,
	SCL_LEN_DATA = 0x0,
	TOG_LEN_DATA = 0x0,
	SPK_LEN_DATA = 0x0,

	WCM_LEN_DATA = 0x0,
	IRL_LEN_DATA = 0x2,
	IRF_LEN_DATA = 0x2,
	LDR_LEN_DATA = 0x2,
	LFW_LEN_DATA = 0x1,
	MIC_LEN_DATA = 0x1,
	
	NOP_LEN_DATA = 0x0, 
};


enum errCodes {
	NOP_MSG = 0x0,
	NO_OPCODE_ERR = 0x1,
};



#endif
