#ifndef __SYS_H__
#define __SYS_H__

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/iom128.h>

#ifdef GCC_MEGA_AVR
	/* EEPROM routines used only with the WinAVR compiler. */
	#include <avr/eeprom.h> 
#endif

typedef enum adch adch_t;
typedef enum irq irq_t;

enum adch {
	ADCH_0 = 0x0,
	ADCH_1,
	ADCH_2,
	ADCH_3,
	ADCH_4,
	ADCH_5,
	ADCH_6,
	ADCH_7,
};

enum irq {
	IRQ0 = 0x0, 
	IRQ1 = 0x1,
	IRQ2 = 0x2,
	IRQ3 = 0x3,	
	IRQ4 = 0x4,
	IRQ5 = 0x5,
	IRQ6 = 0x6,
	IRQ7 = 0x7,
};


extern void (*timer3_compA_hook_isr)(void);
extern void (*int6_hook_isr)(void);
extern void (*timer1_compi_hook_isr)(void);

extern void enableINT(irq_t, const uint8_t);
extern void disableINT(irq_t);


#endif 

