#include "sys.h"


void (*timer3_compA_hook_isr)(void);
void (*int6_hook_isr)(void);
void (*timer1_compi_hook_isr)(void);



ISR(SIG_INTERRUPT6)
{	
	int6_hook_isr();
}


ISR(TIMER3_COMPA_vect)
{
	timer3_compA_hook_isr();
}


ISR(TIMER1_CAPT_vect)
{
	timer1_compi_hook_isr();
}


void enableINT(irq_t nInt, const uint8_t cfg)
{
	volatile uint8_t *EICR = (nInt > 3) ? &EICRB : &EICRA;

	
	EIMSK |= (0x1 << nInt);
	
	nInt = ( (nInt > 3) ? nInt - 4 : nInt ) << 1;
	*EICR &= ~(0x3 << nInt);
	*EICR |= (cfg << nInt); 
}

inline void disableINT(irq_t nInt)
{
	EIMSK |= (0x1 << nInt);
}



